Subject: bug#14683: 23.1; shell freezes during hunspell dictionary check

From: Agustin Martin <[email-masked]>
Date: Fri, 21 Jun 2013 17:53:34 +0200

[Re-sending to bug address, forgot to add it in non-private intended mail]

On Fri, Jun 21, 2013 at 09:33:44AM +0200, Petr Hracek wrote:
> Hi folks,
> 
> In emacs version 23.1
> I have a following problem with following scenario:
> 
> 1.Press M-x shell
> 2.In the shell input echo "Hello wolrd" then press Enter
> 3.Press M-x ispell-buffer
> 4.Press 0 twice
> wolrd has been changed to world, this is fine
> 5. input echo "heavon" then press Enter
> 6. Press M-x ispell-buffer
> 
> A message continuing spelling check using hunspell with default
> dictionary appears but the window freezes

Hi,

I cannot reproduce this neither with current emacs-snapshot from FSF repo
nor with Debian/sid emacs24 (using backported bleeding edge ispell.el). 

However, I see the problem with old Debian/sid emacs23 (also using
backported bleeding edge ispell.el), so may be related to a bug in that
old Emacs version.

Can you reproduce the problem with recent Emacs?

Will try to have a look when I have time, but current Emacs is way newer
than the version you are using.

Thanks for your feedback.

Regards,

-- 
Agustin